<!DOCTYPE html>
{% load static %}
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- CSS only -->
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <title>Update Tiket</title>
</head>

<body>
    <div class="container">
        <h1>Update Ticket</h1>
        <form action="" method="post">
            <div class="mb-3">
                <label for="namaInstansiInput" class="form-label">Nama Instansi</label>
                <input type="text" class="form-control" id="namaInstansiInput" disabled>
            </div>
            <div class="mb-3">
                <label for="tanggalWaktuInput" class="form-label">Tanggal dan Waktu Pelaksanaan</label>
                <input type="text" class="form-control" id="tanggalWaktuInput" disabled>
            </div>
            <div class="mb-3">
                <label for="kuotaInput" class="form-label">Kuota</label>
                <input type="text" class="form-control" id="kuotaInput" disabled>
            </div>
            <div class="mb-3">
                <label for="kategoriPenerimaInput" class="form-label">Kategori Penerima</label>
                <input type="text" class="form-control" id="kategoriPenerimaInput" disabled>
            </div>
            <div class="mb-3">
                <label for="lokasiVaksinInput" class="form-label">Lokasi Vaksin</label>
                <input type="text" class="form-control" id="lokasiVaksinInput" disabled>
            </div>
            <div class="mb-3">
                <label for="nomorTiketInput" class="form-label">Nomor Tiket</label>
                <input type="text" class="form-control" id="no_tiket" disabled>
            </div>
            <div class="mb-3">
                <label for="selectStatus" class="form-label">Status Tiket</label>
                <select id="selectStatus" class="form-select">
                    <option vakue="terdaftar">terdaftar</option>
                    <option value="siap vaksin">siap vaksin</option>
                    <option value="tak lolos screening">tak lolos screening</option>
                    <option value="selesai vaksin">selesai vaksin</option>
                </select>
            </div>
            <button type="submit" class="btn btn-primary">Simpan</button>
        </form>
    </div>
</body>
<!-- JavaScript Bundle with Popper -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"></script>

<script>
    var no_tiket = localStorage.getItem("no_tiket");
    var status = localStorage.getItem("status");
    var tanggal = localStorage.getItem("tanggal");

    document.getElementById("no_tiket").defaultValue = no_tiket;
    document.getElementById("selectStatus").value = status;
    document.getElementById("tanggalWaktuInput").defaultValue = tanggal;

    // localStorage.setItem("name", "");
    // localStorage.setItem("no_tiket", "");
    // localStorage.setItem("status", "");
</script>

</html>